Bug 857674 - [abrt] evolution-3.4.4-1.fc17: g_settings_set_property: Process /usr/bin/evolution was killed by signal 5 (SIGTRAP)
[abrt] evolution-3.4.4-1.fc17: g_settings_set_property: Process /usr/bin/evol...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:6765dd66fab800fab7d6e55bdfe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 18:04 EDT by francois.lescoutte
Modified: 2013-07-31 23:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (747 bytes, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: environ (1.41 KB, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: backtrace (23.37 KB, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: cgroup (132 bytes, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: maps (27.53 KB, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: dso_list (9.35 KB, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: open_fds (406 bytes, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details
File: var_log_messages (314 bytes, text/plain)
2012-09-15 18:04 EDT, francois.lescoutte
no flags Details

  None (edit)
Description francois.lescoutte 2012-09-15 18:04:38 EDT
Version-Release number of selected component:
evolution-3.4.4-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        evolution
crash_function: g_settings_set_property
kernel:         3.5.3-1.fc17.i686

truncated backtrace:
:Thread no. 1 (6 frames)
: #2 g_settings_set_property at gsettings.c
: #3 object_set_property at gobject.c
: #4 g_object_constructor at gobject.c
: #6 g_object_new_valist at gobject.c
: #8 g_settings_new at gsettings.c
: #9 create_default_shell at main.c
Comment 1 francois.lescoutte 2012-09-15 18:04:41 EDT
Created attachment 613351 [details]
File: core_backtrace
Comment 2 francois.lescoutte 2012-09-15 18:04:43 EDT
Created attachment 613352 [details]
File: environ
Comment 3 francois.lescoutte 2012-09-15 18:04:46 EDT
Created attachment 613353 [details]
File: backtrace
Comment 4 francois.lescoutte 2012-09-15 18:04:48 EDT
Created attachment 613354 [details]
File: limits
Comment 5 francois.lescoutte 2012-09-15 18:04:50 EDT
Created attachment 613355 [details]
File: cgroup
Comment 6 francois.lescoutte 2012-09-15 18:04:53 EDT
Created attachment 613356 [details]
File: maps
Comment 7 francois.lescoutte 2012-09-15 18:04:55 EDT
Created attachment 613357 [details]
File: dso_list
Comment 8 francois.lescoutte 2012-09-15 18:04:57 EDT
Created attachment 613358 [details]
File: open_fds
Comment 9 francois.lescoutte 2012-09-15 18:04:59 EDT
Created attachment 613359 [details]
File: var_log_messages
Comment 10 Milan Crha 2012-09-17 04:59:17 EDT
Thanks for a bug report. I see that this crashed on "Settings schema 'org.gnome.evolution.shell' is not installed", which doesn't make much sense to me, because this schema is installed together with evolution, thus I'm wondering whether the install/update finished successfully, like if the GSettings schema installation didn't crash or something.

Could you check, whether your /usr/share/glib-2.0/schemas/ contains org.gnome.evolution.shell.gschema.xml. If it does, and evolution still resists in running, then I would try to compile the schema directory, which you can do by running this command as root:
   $ glib-compile-schemas /usr/share/glib-2.0/schemas/
and then run evolution.
Comment 11 Fedora End Of Life 2013-07-03 20:16:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 23:47:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.